<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref22.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::SymbolLookup::ClassName - Synopsis::SymbolLookup::LocalScope::unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::SymbolLookup::ClassName - Synopsis::SymbolLookup::LocalScope::unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</h1><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClassName" /><h2 >Class Synopsis::SymbolLookup::ClassName</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ClassName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#114">Synopsis/SymbolLookup/Symbol.hh:114</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html" >Synopsis::SymbolLookup::ClassName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#31">Synopsis/SymbolLookup/Display.hh:31</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#40">Synopsis/SymbolLookup/Symbol.hh:40</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#117">Synopsis/SymbolLookup/Symbol.hh:117</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html#ClassName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" >ClassName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#119">Synopsis/SymbolLookup/Symbol.hh:119</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#123">Synopsis/SymbolLookup/Symbol.hh:123</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html#as_scope_l_rconst" >as_scope&#40;&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClassName_mClassName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" /><h2 >Synopsis::SymbolLookup::ClassName::ClassName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#117">Synopsis/SymbolLookup/Symbol.hh:117</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html" >Synopsis::SymbolLookup::ClassName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClassName_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::ClassName::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ClassName.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#119">Synopsis/SymbolLookup/Symbol.hh:119</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html" >Synopsis::SymbolLookup::ClassName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClassName_mas_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::ClassName::as_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ClassName.html#as_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#123">Synopsis/SymbolLookup/Symbol.hh:123</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html" >Synopsis::SymbolLookup::ClassName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClassTemplateName" /><h2 >Class Synopsis::SymbolLookup::ClassTemplateName</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#134">Synopsis/SymbolLookup/Symbol.hh:134</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >Synopsis::SymbolLookup::ClassTemplateName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#33">Synopsis/SymbolLookup/Display.hh:33</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#42">Synopsis/SymbolLookup/Symbol.hh:42</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#138">Synopsis/SymbolLookup/Symbol.hh:138</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html#ClassTemplateName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" >ClassTemplateName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#140">Synopsis/SymbolLookup/Symbol.hh:140</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#144">Synopsis/SymbolLookup/Symbol.hh:144</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html#as_scope_l_rconst" >as_scope&#40;&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClassTemplateName_mClassTemplateName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" /><h2 >Synopsis::SymbolLookup::ClassTemplateName::ClassTemplateName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#137">Synopsis/SymbolLookup/Symbol.hh:137</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >Synopsis::SymbolLookup::ClassTemplateName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClassTemplateName_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::ClassTemplateName::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#140">Synopsis/SymbolLookup/Symbol.hh:140</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >Synopsis::SymbolLookup::ClassTemplateName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClassTemplateName_mas_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::ClassTemplateName::as_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html#as_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#144">Synopsis/SymbolLookup/Symbol.hh:144</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >Synopsis::SymbolLookup::ClassTemplateName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mConstName" /><h2 >Class Synopsis::SymbolLookup::ConstName</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#80">Synopsis/SymbolLookup/Symbol.hh:80</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#28">Synopsis/SymbolLookup/Display.hh:28</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#37">Synopsis/SymbolLookup/Symbol.hh:37</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#84">Synopsis/SymbolLookup/Symbol.hh:84</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#ConstName_lconst.PTree_mEncoding_A_clong_cconst.PTree_mNode_S_cbool_cScope_S_r" >ConstName&#40;const PTree::Encoding&amp;&#44;long&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#87">Synopsis/SymbolLookup/Symbol.hh:87</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#ConstName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" >ConstName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#89">Synopsis/SymbolLookup/Symbol.hh:89</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#90">Synopsis/SymbolLookup/Symbol.hh:90</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#defined_l_rconst" >defined&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#91">Synopsis/SymbolLookup/Symbol.hh:91</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#value_l_rconst" >value&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#93">Synopsis/SymbolLookup/Symbol.hh:93</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#my_defined" >my_defined</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#94">Synopsis/SymbolLookup/Symbol.hh:94</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#my_value" >my_value</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mConstName_mConstName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" /><h2 >Synopsis::SymbolLookup::ConstName::ConstName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#86">Synopsis/SymbolLookup/Symbol.hh:86</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mConstName_mConstName_lconst.PTree_mEncoding_A_clong_cconst.PTree_mNode_S_cbool_cScope_S_r" /><h2 >Synopsis::SymbolLookup::ConstName::ConstName&#40;const PTree::Encoding&amp;&#44;long&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#83">Synopsis/SymbolLookup/Symbol.hh:83</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mConstName_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::ConstName::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#89">Synopsis/SymbolLookup/Symbol.hh:89</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mConstName_mdefined_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::ConstName::defined&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#defined_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#90">Synopsis/SymbolLookup/Symbol.hh:90</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mConstName_mmy_defined" /><h2 >Data member Synopsis::SymbolLookup::ConstName::my_defined</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#my_defined" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#93">Synopsis/SymbolLookup/Symbol.hh:93</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#90">Synopsis/SymbolLookup/Symbol.hh:90</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#defined_l_rconst" >Synopsis::SymbolLookup::ConstName::defined&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mConstName_mmy_value" /><h2 >Data member Synopsis::SymbolLookup::ConstName::my_value</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#my_value" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#94">Synopsis/SymbolLookup/Symbol.hh:94</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#91">Synopsis/SymbolLookup/Symbol.hh:91</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#value_l_rconst" >Synopsis::SymbolLookup::ConstName::value&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mConstName_mvalue_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::ConstName::value&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#value_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#91">Synopsis/SymbolLookup/Symbol.hh:91</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mEnumName" /><h2 >Class Synopsis::SymbolLookup::EnumName</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/EnumName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#126">Synopsis/SymbolLookup/Symbol.hh:126</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/EnumName.html" >Synopsis::SymbolLookup::EnumName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#32">Synopsis/SymbolLookup/Display.hh:32</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#41">Synopsis/SymbolLookup/Symbol.hh:41</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#129">Synopsis/SymbolLookup/Symbol.hh:129</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/EnumName.html#EnumName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cScope_S_r" >EnumName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#131">Synopsis/SymbolLookup/Symbol.hh:131</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/EnumName.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mEnumName_mEnumName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cScope_S_r" /><h2 >Synopsis::SymbolLookup::EnumName::EnumName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#129">Synopsis/SymbolLookup/Symbol.hh:129</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/EnumName.html" >Synopsis::SymbolLookup::EnumName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mEnumName_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::EnumName::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/EnumName.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#131">Synopsis/SymbolLookup/Symbol.hh:131</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/EnumName.html" >Synopsis::SymbolLookup::EnumName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionName" /><h2 >Class Synopsis::SymbolLookup::FunctionName</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#147">Synopsis/SymbolLookup/Symbol.hh:147</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html" >Synopsis::SymbolLookup::FunctionName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#34">Synopsis/SymbolLookup/Display.hh:34</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#43">Synopsis/SymbolLookup/Symbol.hh:43</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#151">Synopsis/SymbolLookup/Symbol.hh:151</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html#FunctionName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" >FunctionName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#153">Synopsis/SymbolLookup/Symbol.hh:153</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#157">Synopsis/SymbolLookup/Symbol.hh:157</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html#as_scope_l_rconst" >as_scope&#40;&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionName_mFunctionName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" /><h2 >Synopsis::SymbolLookup::FunctionName::FunctionName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#150">Synopsis/SymbolLookup/Symbol.hh:150</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html" >Synopsis::SymbolLookup::FunctionName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionName_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::FunctionName::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#153">Synopsis/SymbolLookup/Symbol.hh:153</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html" >Synopsis::SymbolLookup::FunctionName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionName_mas_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::FunctionName::as_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html#as_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#157">Synopsis/SymbolLookup/Symbol.hh:157</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html" >Synopsis::SymbolLookup::FunctionName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope" /><h2 >Class Synopsis::SymbolLookup::FunctionScope</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#84">Synopsis/SymbolLookup/Scopes.hh:84</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#56">Synopsis/SymbolLookup/Display.hh:56</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#38">Synopsis/SymbolLookup/Scopes.hh:38</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#157">Synopsis/SymbolLookup/Symbol.hh:157</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html" >Synopsis::SymbolLookup::FunctionName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#169">Synopsis/SymbolLookup/Symbol.hh:169</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >Synopsis::SymbolLookup::FunctionTemplateName</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#87">Synopsis/SymbolLookup/Scopes.hh:87</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#FunctionScope_lconst.PTree_mDeclaration_S_cPrototypeScope_S_cconst.Scope_S_r" >FunctionScope&#40;const PTree::Declaration*&#44;PrototypeScope*&#44;const Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#89">Synopsis/SymbolLookup/Scopes.hh:89</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#use_lconst.PTree_mUsingDirective_S_r" >use&#40;const PTree::UsingDirective*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#90">Synopsis/SymbolLookup/Scopes.hh:90</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#outer_scope_l_rconst" >outer_scope&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#92">Synopsis/SymbolLookup/Scopes.hh:92</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" >unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#94">Synopsis/SymbolLookup/Scopes.hh:94</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#qualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" >qualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#97">Synopsis/SymbolLookup/Scopes.hh:97</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#name_l_rconst" >name&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#99">Synopsis/SymbolLookup/Scopes.hh:99</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#accept_lScopeVisitor_S_r" >accept&#40;ScopeVisitor*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#102">Synopsis/SymbolLookup/Scopes.hh:102</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#_tFunctionScope_l_r" >~FunctionScope&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#105">Synopsis/SymbolLookup/Scopes.hh:105</a>: Typedef <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#Using" >Using</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#107">Synopsis/SymbolLookup/Scopes.hh:107</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_decl" >my_decl</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#108">Synopsis/SymbolLookup/Scopes.hh:108</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_outer" >my_outer</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#109">Synopsis/SymbolLookup/Scopes.hh:109</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_class" >my_class</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#110">Synopsis/SymbolLookup/Scopes.hh:110</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_parameters" >my_parameters</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#111">Synopsis/SymbolLookup/Scopes.hh:111</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_using" >my_using</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_mFunctionScope_lconst.PTree_mDeclaration_S_cPrototypeScope_S_cconst.Scope_S_r" /><h2 >Synopsis::SymbolLookup::FunctionScope::FunctionScope&#40;const PTree::Declaration*&#44;PrototypeScope*&#44;const Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#87">Synopsis/SymbolLookup/Scopes.hh:87</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_mUsing" /><h2 >Typedef Synopsis::SymbolLookup::FunctionScope::Using</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#Using" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#105">Synopsis/SymbolLookup/Scopes.hh:105</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#111">Synopsis/SymbolLookup/Scopes.hh:111</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_maccept_lScopeVisitor_S_r" /><h2 >Member function Synopsis::SymbolLookup::FunctionScope::accept&#40;ScopeVisitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#accept_lScopeVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#99">Synopsis/SymbolLookup/Scopes.hh:99</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_mmy_class" /><h2 >Data member Synopsis::SymbolLookup::FunctionScope::my_class</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#109">Synopsis/SymbolLookup/Scopes.hh:109</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_mmy_decl" /><h2 >Data member Synopsis::SymbolLookup::FunctionScope::my_decl</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_decl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#107">Synopsis/SymbolLookup/Scopes.hh:107</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_mmy_outer" /><h2 >Data member Synopsis::SymbolLookup::FunctionScope::my_outer</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_outer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#108">Synopsis/SymbolLookup/Scopes.hh:108</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#90">Synopsis/SymbolLookup/Scopes.hh:90</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#outer_scope_l_rconst" >Synopsis::SymbolLookup::FunctionScope::outer_scope&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#102">Synopsis/SymbolLookup/Scopes.hh:102</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#_tFunctionScope_l_r" >Synopsis::SymbolLookup::FunctionScope::~FunctionScope&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_mmy_parameters" /><h2 >Data member Synopsis::SymbolLookup::FunctionScope::my_parameters</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_parameters" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#110">Synopsis/SymbolLookup/Scopes.hh:110</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_mmy_using" /><h2 >Data member Synopsis::SymbolLookup::FunctionScope::my_using</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_using" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#111">Synopsis/SymbolLookup/Scopes.hh:111</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_mname_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::FunctionScope::name&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#name_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#97">Synopsis/SymbolLookup/Scopes.hh:97</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_mouter_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::FunctionScope::outer_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#outer_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#90">Synopsis/SymbolLookup/Scopes.hh:90</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_mqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::FunctionScope::qualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#94">Synopsis/SymbolLookup/Scopes.hh:94</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_munqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::FunctionScope::unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#92">Synopsis/SymbolLookup/Scopes.hh:92</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_muse_lconst.PTree_mUsingDirective_S_r" /><h2 >Synopsis::SymbolLookup::FunctionScope::use&#40;const PTree::UsingDirective*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#89">Synopsis/SymbolLookup/Scopes.hh:89</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionScope_m_tFunctionScope_l_r" /><h2 >Destructor Synopsis::SymbolLookup::FunctionScope::~FunctionScope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#_tFunctionScope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#102">Synopsis/SymbolLookup/Scopes.hh:102</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionTemplateName" /><h2 >Class Synopsis::SymbolLookup::FunctionTemplateName</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#160">Synopsis/SymbolLookup/Symbol.hh:160</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >Synopsis::SymbolLookup::FunctionTemplateName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#35">Synopsis/SymbolLookup/Display.hh:35</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#44">Synopsis/SymbolLookup/Symbol.hh:44</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#163">Synopsis/SymbolLookup/Symbol.hh:163</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html#FunctionTemplateName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cScope_S_r" >FunctionTemplateName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#165">Synopsis/SymbolLookup/Symbol.hh:165</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#169">Synopsis/SymbolLookup/Symbol.hh:169</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html#as_scope_l_rconst" >as_scope&#40;&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionTemplateName_mFunctionTemplateName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cScope_S_r" /><h2 >Synopsis::SymbolLookup::FunctionTemplateName::FunctionTemplateName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#163">Synopsis/SymbolLookup/Symbol.hh:163</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >Synopsis::SymbolLookup::FunctionTemplateName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionTemplateName_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::FunctionTemplateName::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#165">Synopsis/SymbolLookup/Symbol.hh:165</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >Synopsis::SymbolLookup::FunctionTemplateName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mFunctionTemplateName_mas_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::FunctionTemplateName::as_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html#as_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#169">Synopsis/SymbolLookup/Symbol.hh:169</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >Synopsis::SymbolLookup::FunctionTemplateName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mInternalError" /><h2 >Class Synopsis::SymbolLookup::InternalError</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/InternalError.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#51">Synopsis/SymbolLookup/Scope.hh:51</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html" >Synopsis::SymbolLookup::InternalError</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#54">Synopsis/SymbolLookup/Scope.hh:54</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html#InternalError_lconst.std_mstring_A_r" >InternalError&#40;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#55">Synopsis/SymbolLookup/Scope.hh:55</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html#_tInternalError_l_r" >~InternalError&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#56">Synopsis/SymbolLookup/Scope.hh:56</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html#what_l_rconst" >what&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#58">Synopsis/SymbolLookup/Scope.hh:58</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html#my_what" >my_what</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mInternalError_mInternalError_lconst.std_mstring_A_r" /><h2 >Synopsis::SymbolLookup::InternalError::InternalError&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#54">Synopsis/SymbolLookup/Scope.hh:54</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html" >Synopsis::SymbolLookup::InternalError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mInternalError_mmy_what" /><h2 >Data member Synopsis::SymbolLookup::InternalError::my_what</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/InternalError.html#my_what" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#58">Synopsis/SymbolLookup/Scope.hh:58</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html" >Synopsis::SymbolLookup::InternalError</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#56">Synopsis/SymbolLookup/Scope.hh:56</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html#what_l_rconst" >Synopsis::SymbolLookup::InternalError::what&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mInternalError_mwhat_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::InternalError::what&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/InternalError.html#what_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#56">Synopsis/SymbolLookup/Scope.hh:56</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html" >Synopsis::SymbolLookup::InternalError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mInternalError_m_tInternalError_l_r" /><h2 >Destructor Synopsis::SymbolLookup::InternalError::~InternalError&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/InternalError.html#_tInternalError_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#55">Synopsis/SymbolLookup/Scope.hh:55</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html" >Synopsis::SymbolLookup::InternalError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mLocalScope" /><h2 >Class Synopsis::SymbolLookup::LocalScope</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#63">Synopsis/SymbolLookup/Scopes.hh:63</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#54">Synopsis/SymbolLookup/Display.hh:54</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#36">Synopsis/SymbolLookup/Scopes.hh:36</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#66">Synopsis/SymbolLookup/Scopes.hh:66</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#LocalScope_lconst.PTree_mList_S_cconst.Scope_S_r" >LocalScope&#40;const PTree::List*&#44;const Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#69">Synopsis/SymbolLookup/Scopes.hh:69</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#outer_scope_l_rconst" >outer_scope&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#72">Synopsis/SymbolLookup/Scopes.hh:72</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" >unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#74">Synopsis/SymbolLookup/Scopes.hh:74</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#accept_lScopeVisitor_S_r" >accept&#40;ScopeVisitor*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#77">Synopsis/SymbolLookup/Scopes.hh:77</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#_tLocalScope_l_r" >~LocalScope&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#80">Synopsis/SymbolLookup/Scopes.hh:80</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#my_node" >my_node</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#81">Synopsis/SymbolLookup/Scopes.hh:81</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#my_outer" >my_outer</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mLocalScope_mLocalScope_lconst.PTree_mList_S_cconst.Scope_S_r" /><h2 >Synopsis::SymbolLookup::LocalScope::LocalScope&#40;const PTree::List*&#44;const Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#66">Synopsis/SymbolLookup/Scopes.hh:66</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mLocalScope_maccept_lScopeVisitor_S_r" /><h2 >Member function Synopsis::SymbolLookup::LocalScope::accept&#40;ScopeVisitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#accept_lScopeVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#74">Synopsis/SymbolLookup/Scopes.hh:74</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mLocalScope_mmy_node" /><h2 >Data member Synopsis::SymbolLookup::LocalScope::my_node</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#my_node" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#80">Synopsis/SymbolLookup/Scopes.hh:80</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mLocalScope_mmy_outer" /><h2 >Data member Synopsis::SymbolLookup::LocalScope::my_outer</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#my_outer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#81">Synopsis/SymbolLookup/Scopes.hh:81</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#69">Synopsis/SymbolLookup/Scopes.hh:69</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#outer_scope_l_rconst" >Synopsis::SymbolLookup::LocalScope::outer_scope&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#77">Synopsis/SymbolLookup/Scopes.hh:77</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#_tLocalScope_l_r" >Synopsis::SymbolLookup::LocalScope::~LocalScope&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mLocalScope_mouter_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::LocalScope::outer_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#outer_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#69">Synopsis/SymbolLookup/Scopes.hh:69</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mLocalScope_munqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::LocalScope::unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#72">Synopsis/SymbolLookup/Scopes.hh:72</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
